ORIGIN = PWB
ORIGIN_VER = 2.0
PROJ = subclass
PROJFILE = subclass.mak
DEBUG = 1

BRFLAGS  =	/o $(PROJ).bsc
BROWSE	= 0
PACK_SBRS  = 1
CC	= cl
CFLAGS_G  = /W2 /GA /DWINVER=0x0300 /GEf /Zp /BATCH
CFLAGS_D  = /f /Od /Zi /Gs
CFLAGS_R  = /f- /Os /Og /Oe /Gs
CXX  = cl
CXXFLAGS_G	= /W3 /G2 /GA /DWINVER=0x0300 /GEs /Zp /BATCH
CXXFLAGS_D	= /f /Od /Zi /D_DEBUG
CXXFLAGS_R	= /f- /Os /Ol /Og /Oe /Gs
BSCMAKE  = bscmake
SBRPACK  = sbrpack
NMAKEBSC1  = set
NMAKEBSC2  = nmake
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOD /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /NOF /NOPACKC
LFLAGS_R  = /NOF
LLIBS_G  = LIBW.LIB
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e
RC	= rc
RCFLAGS2  = /k /t /30
LLIBS_R  = SAFXCW /NOD:SLIBCE SLIBCEW
LLIBS_D  = SAFXCWD /NOD:SLIBCE SLIBCEW
PBTDEPEND  = $(PROJ).exe
PREP  = prep
PROFILE  = profile
PLIST  = plist
PROFSET  = set
PROFNMAKE  = nmake
CVFLAGS  = /43

FILES  = SUBCLASS.CPP SUBCLASS.RC SUBCLASS.DEF
DEF_FILE  = SUBCLASS.DEF
OBJS  = SUBCLASS.obj
RESS  = SUBCLASS.res
SBRS  = SUBCLASS.sbr

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES:
.SUFFIXES: .sbr .obj .res .cpp .rc

SUBCLASS.obj : SUBCLASS.CPP resource.h
!IF $(DEBUG)
		@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoSUBCLASS.obj SUBCLASS.CPP
<<
!ELSE
		@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoSUBCLASS.obj SUBCLASS.CPP
<<
!ENDIF

SUBCLASS.sbr : SUBCLASS.CPP resource.h
!IF $(DEBUG)
		@$(CXX) @<<$(PROJ).rsp
/Zs $(CXXFLAGS_G)
$(CXXFLAGS_D) /FRSUBCLASS.sbr SUBCLASS.CPP
<<
!ELSE
		@$(CXX) @<<$(PROJ).rsp
/Zs $(CXXFLAGS_G)
$(CXXFLAGS_R) /FRSUBCLASS.sbr SUBCLASS.CPP
<<
!ENDIF

SUBCLASS.res : SUBCLASS.RC resource.h subclass.ico subclass.dlg
		$(RC) $(RCFLAGS1) /r /fo SUBCLASS.res SUBCLASS.RC


$(PROJ).bsc : $(SBRS)
		$(BSCMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).exe : $(DEF_FILE) $(OBJS) $(RESS)
!IF $(DEBUG)
		$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
		$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
		$(LINKER) @$(PROJ).lrf
		$(RC) $(RCFLAGS2) $(RESS) $@

$(PROJ).pbt : 
		$(PROFSET) MAKEFLAGS=
		$(PROFNMAKE) $(NMFLAGS) -f $(PROJFILE) $(PBTDEPEND)
		$(PREP) /P $(PBTDEPEND) /OT $(PROJ).pbt


.cpp.sbr :
!IF $(DEBUG)
		@$(CXX) @<<$(PROJ).rsp
/Zs $(CXXFLAGS_G)
$(CXXFLAGS_D) /FR$@ $<
<<
!ELSE
		@$(CXX) @<<$(PROJ).rsp
/Zs $(CXXFLAGS_G)
$(CXXFLAGS_R) /FR$@ $<
<<
!ENDIF

.cpp.obj :
!IF $(DEBUG)
		@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /Fo$@ $<
<<
!ELSE
		@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /Fo$@ $<
<<
!ENDIF

.rc.res :
		$(RC) $(RCFLAGS1) /r /fo $@ $<


run: $(PROJ).exe
		WX $(WXFLAGS) $(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
		WX /p $(WXFLAGS) CVW $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
